Bug 110127 - [CI][SHARDS] igt@kms_plane@pixel-format-pipe-[abc]-planes - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1
Summary: [CI][SHARDS] igt@kms_plane@pixel-format-pipe-[abc]-planes - fail - WARNING: C...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Juha-Pekka Heikkilä
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-15 09:39 UTC by Lakshmi
Modified: 2019-04-09 12:57 UTC (History)
1 user (show)

See Also:
i915 platform: KBL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-03-15 09:39:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4885/shard-kbl5/igt@kms_plane@pixel-format-pipe-b-planes.html

Starting subtest: pixel-format-pipe-B-planes
(kms_plane:1244) WARNING: CRC mismatch with format YUYV(0x56595559) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format YUYV(0x56595559) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format YVYU(0x55595659) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format YVYU(0x55595659) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format UYVY(0x59565955) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format UYVY(0x59565955) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format VYUY(0x59555956) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format VYUY(0x59555956) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format NV12(0x3231564e) on B.1
(kms_plane:1244) WARNING: CRC mismatch with format NV12(0x3231564e) on B.1
(kms_plane:1244) CRITICAL: Test assertion failure function test_pixel_formats, file ../tests/kms_plane.c:612:
(kms_plane:1244) CRITICAL: Failed assertion: result
(kms_plane:1244) CRITICAL: At least one CRC mismatch happened
Subtest pixel-format-pipe-B-planes failed.
**** DEBUG ****
Comment 2 CI Bug Log 2019-03-15 14:36:27 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-b-planes - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on B.1 -}
{+ KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5753/shard-kbl7/igt@kms_plane@pixel-format-pipe-a-planes.html
Comment 3 CI Bug Log 2019-03-18 07:59:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1 -}
{+ KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1 +}

 No new failures caught with the new filter
Comment 4 CI Bug Log 2019-03-18 08:01:57 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1 -}
{+ KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1 +}

 No new failures caught with the new filter
Comment 5 CI Bug Log 2019-03-18 12:58:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].1 -}
{+ KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - First failure is "WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[01]" +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-kbl5/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-kbl4/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-kbl1/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7500u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7560u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7567u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-x1275/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5760/shard-kbl5/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-kbl1/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5762/shard-kbl5/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-kbl3/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-kbl-7500u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-kbl-7567u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-kbl-x1275/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4888/shard-kbl3/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
Comment 6 CI Bug Log 2019-03-20 11:51:09 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - First failure is "WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[01]" -}
{+ KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - First failure is "WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[01] with 2/8 solid colors tested (0x88)" +}

 No new failures caught with the new filter
Comment 7 CI Bug Log 2019-03-20 11:59:51 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - First failure is "WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[01] with 2/8 solid colors tested (0x88)" -}
{+ KBL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - fail - First failure is "WARNING: CRC mismatches with format YUYV(0x56595559) on [ABC].[01] with 2/8 solid colors tested (0x88)" +}

 No new failures caught with the new filter
Comment 8 Juha-Pekka Heikkilä 2019-03-21 15:17:44 UTC
I tried to reproduce this with today's drm-tip but repeating CI's test set doesn't cause failure on my kbl box.
Comment 9 Martin Peres 2019-04-09 12:57:25 UTC
Verified to be fixed by:

commit 76a8f9cf7890969e8f2b4550600c6d3ee6913dd7
Author:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
AuthorDate: Fri Mar 15 17:23:34 2019 +0200
Commit:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
CommitDate: Wed Mar 20 10:48:20 2019 +0200

    lib/igt_kms: reset plane alpha and blend in igt_plane_reset()
    
    plane alpha and blend would affect other tests if left
    in unexpected states
    
    v2 (ville syrjälä): use "Pre-multiplied" as default for
    IGT_PLANE_PIXEL_BLEND_MODE.
    
    Signed-off-by: Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
Comment 10 CI Bug Log 2019-04-09 12:57:34 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.